package com.goldenwater.yjjt.service;

import com.goldenwater.yjjt.domain.YjjtSlData;

import java.util.List;

public interface IYjjtSlDataService {

    List<YjjtSlData> selectYjjtSlDataList(YjjtSlData yjjtSlData);

    YjjtSlData selectYjjtSlDataById(Long id);

    int insertYjjtSlData(YjjtSlData yjjtSlData);

    int updateYjjtSlData(YjjtSlData yjjtSlData);

    int deleteYjjtSlDataById(Long id);

    int deleteYjjtSlDataByIds(Long[] ids);

    void importSlData(List<YjjtSlData> dataList, String bizType);
}